Bug 431329 - Blocklist Importer plugin does not work
Blocklist Importer plugin does not work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-02 17:28 EST by Jeff Rasmussen
Modified: 2008-03-28 13:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 13:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Rasmussen 2008-02-02 17:28:46 EST
Description of problem:
The Blocklist Importer plugin does not work after the most recent Deluge update.
 The plugin starts to load but just hangs while it should be downloading the
blocklist.

Version-Release number of selected component (if applicable):
deluge-0.5.8.3-1.fc8.i386

How reproducible:
Every time I open the program and try to load the plugin.
Comment 1 Peter Gordon 2008-02-04 22:35:59 EST
Thanks for the bug report.

Are you able to download the list directly? (E.g., try the URL with wget or your
browser.)

Also, is it a specific list that you are having trouble with (if more than one)?
Or do all of them cause this hang? (E.g., if you disable all of them, one at a
time, does this issue vanish?)

I just tried it with my x86_64 setup and it seems to hang for a few seconds
while making the initial connection and query, but then it downloads the
blocklist as it should and everything else seems to work nominally. :o
Comment 2 Peter Gordon 2008-02-04 22:37:38 EST
(In reply to comment #1)
> Also, is it a specific list that you are having trouble with (if more than one)?
> Or do all of them cause this hang? (E.g., if you disable all of them, one at a
> time, does this issue vanish?)

This is me being silly; it only uses one list...

What I meant to ask was, If you change the list does this still occur?
Comment 3 Jeff Rasmussen 2008-02-04 23:50:35 EST
Well, trying to answer your question has lead me to another problem with this
plugin instead of an answer.  

It seems that once you have already entered a blocklist url for this plugin (and
btw I think I'm using the Emule list), the program won't let you get into the
plugin's preferences until the list is successfully loaded and installed.  I've
even tried canceling the download but the 'preferences' box is still greyed out
and unclickable.

So I don't really know where to go from here. :(
Comment 4 Jeff Rasmussen 2008-03-28 13:15:39 EDT
Hey, I think we can mark this bug as closed.

I went and deleted blocklist.conf from ~/.config/deluge which allowed me to
access the blocklist plugin preferences.  I then entered the URL of the ipfilter
from the Deluge website and it seems to download and load just fine.  I don't
know if my blocklist.conf got corrupted somehow or if Deluge had some problem
with the list I previously used but it's all good now.

Note You need to log in before you can comment on or make changes to this bug.